#ifndef OBJECT_H
#define OBJECT_H

/*
 * @(#)Object.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2002 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

#include "Types.h"

class Object {
	public: static boolean equal(const char *a, const char *b) {
		int i = 0;
		while (a[i] != 0 && b[i] != 0 && a[i] == b[i])
			i++;
		return a[i] == b[i];
	}

	public: virtual boolean instanceof(const char *objectName) {
		return equal(objectName, "Object");
	}

	public: virtual class String *toString() = 0;
};

#endif
